<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: my_marker_reader Struct Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a> &#124;
<a href="structmy__marker__reader-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">my_marker_reader Struct Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-attribs"></a>
Public Attributes</h2></td></tr>
<tr class="memitem:ac0d8a24c85575d304ef4383e8f6ca5fc"><td class="memItemLeft" align="right" valign="top"><a id="ac0d8a24c85575d304ef4383e8f6ca5fc"></a>
struct <a class="el" href="structjpeg__marker__reader.html">jpeg_marker_reader</a>&#160;</td><td class="memItemRight" valign="bottom"><b>pub</b></td></tr>
<tr class="separator:ac0d8a24c85575d304ef4383e8f6ca5fc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5e10e69e117d23840f04d54e7a3cdde5"><td class="memItemLeft" align="right" valign="top"><a id="a5e10e69e117d23840f04d54e7a3cdde5"></a>
jpeg_marker_parser_method&#160;</td><td class="memItemRight" valign="bottom"><b>process_COM</b></td></tr>
<tr class="separator:a5e10e69e117d23840f04d54e7a3cdde5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3a466da71db30199ab019a03960013cc"><td class="memItemLeft" align="right" valign="top"><a id="a3a466da71db30199ab019a03960013cc"></a>
jpeg_marker_parser_method&#160;</td><td class="memItemRight" valign="bottom"><b>process_APPn</b> [16]</td></tr>
<tr class="separator:a3a466da71db30199ab019a03960013cc"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aa17938db027aceb539d880b78841826e"><td class="memItemLeft" align="right" valign="top"><a id="aa17938db027aceb539d880b78841826e"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>length_limit_COM</b></td></tr>
<tr class="separator:aa17938db027aceb539d880b78841826e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a029e9f21bc02a21c1a26d3c0d7158098"><td class="memItemLeft" align="right" valign="top"><a id="a029e9f21bc02a21c1a26d3c0d7158098"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>length_limit_APPn</b> [16]</td></tr>
<tr class="separator:a029e9f21bc02a21c1a26d3c0d7158098"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a861ef3029e1690b4345a8ceb3975e8df"><td class="memItemLeft" align="right" valign="top"><a id="a861ef3029e1690b4345a8ceb3975e8df"></a>
jpeg_saved_marker_ptr&#160;</td><td class="memItemRight" valign="bottom"><b>cur_marker</b></td></tr>
<tr class="separator:a861ef3029e1690b4345a8ceb3975e8df"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ada1054ee3408bbfcacdddb27af8d9754"><td class="memItemLeft" align="right" valign="top"><a id="ada1054ee3408bbfcacdddb27af8d9754"></a>
unsigned int&#160;</td><td class="memItemRight" valign="bottom"><b>bytes_read</b></td></tr>
<tr class="separator:ada1054ee3408bbfcacdddb27af8d9754"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this struct was generated from the following file:<ul>
<li>jdmarker.cpp</li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
